# Define the library
const_sources = files(
  'private/const.cpp',
)

const_headers = files(
    'public/const.h'
)

# Define the libconst library so it can be linked against by other parts of the build system
libconst = library('const',
    const_sources, 
    include_directories: include_directories('public'),
    cpp_args: ['-fvisibility=default'],
    dependencies: [const_dep],
    install : true)

# Make headers accessible
install_headers(const_headers, subdir : '4DSSE/const')